Skip to main content
GET
Staff stats

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
integer
required

Numeric ID of the staff to get staff stats for

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: id, staffAge, season, status, team, teamName, teamLogo, teamLogoUrl, league, leagueName, leagueFullName, leagueType, role, notes, updatedAt

Available options:
id,
staffAge,
season,
status,
team,
teamName,
teamLogo,
teamLogoUrl,
league,
leagueName,
leagueFullName,
leagueType,
role,
notes,
updatedAt,
season.*,
team.*,
teamLogo.*,
league.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
id,
-id,
role,
-role,
team,
-team,
teamName,
-teamName,
league,
-league,
leagueName,
-leagueName,
notes,
-notes,
season,
-season,
updatedAt,
-updatedAt
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

status
enum<string>

Filter by status

Available options:
rostered,
not-active-on-team,
not-active
status:not
enum<string>

Filter by status not equal to

Available options:
rostered,
not-active-on-team,
not-active
league
string

Filter by league slug

team
integer[]

Filter by team ID

team.teamType
enum<string>

Filter by team.teamType

Available options:
club,
international
season
string

Filter by season slug

season:not
string

Filter by season slug not equal to

season:from
string

Filter by season slug greater or equal to

season:to
string

Filter by season slug less than or equal to

role
string[]

Filter by role

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

Staff stats, paginated.

_meta
object
data
object[]